If it's of any help/use, I started the campaign at v1.0, then patched to v1.2 before finishing the entire campaign.